org.apache.poi.common.usermodel

## Interface Hyperlink

- All Known Subinterfaces:
    Hyperlink<S,P>, Hyperlink
  All Known Implementing Classes:
    HSLFHyperlink, HSSFHyperlink, XSLFHyperlink, XSSFHyperlink

      public interface Hyperlink

  Represents a hyperlink.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Hyperlink address.
    `java.lang.String` | `getLabel()` Return text label for this hyperlink
    `HyperlinkType` | `getType()` Return the type of this hyperlink
    `HyperlinkType` | `getTypeEnum()` Deprecated. use `getType()` instead
    `void` | `setAddress(java.lang.String address)` Hyperlink address.
    `void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink

- - ### Method Detail

    - #### getAddress

          java.lang.String getAddress()

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Returns:
        the address of this hyperlink

    - #### setAddress

          void setAddress(java.lang.String address)

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Parameters:
        `address` - the address of this hyperlink

    - #### getLabel

          java.lang.String getLabel()

      Return text label for this hyperlink
      Returns:
        text to display

    - #### setLabel

          void setLabel(java.lang.String label)

      Sets text label for this hyperlink
      Parameters:
        `label` - text label for this hyperlink

    - #### getType

          HyperlinkType getType()

      Return the type of this hyperlink
      Returns:
        the type of this hyperlink
      See Also:
        `HyperlinkType.forInt(int)`

    - #### getTypeEnum

          @Deprecated
           @Removal(version="4.2")
          HyperlinkType getTypeEnum()

      Deprecated. use `getType()` instead
      Return the type of this hyperlink
      Returns:
        the type of this hyperlink
      Since:
        POI 3.15 beta 3

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.